# GET /api/v1/sales-receipts/{receipt_id}

> Get sales receipt

- **Tag:** sales-receipts
- **Operation ID:** `get_sales_receipt_api_v1_sales_receipts__receipt_id__get`

## Description

Get details of a specific sales/refund receipt.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `receipt_id` (path, string, required)

## Responses

### 200 — Successful Response

Schema: `SalesReceiptResponse`

- `id` (string · required)
- `business_id` (string · required)
- `number` (string)
- `receipt_type` (string · required)
- `status` (string · required)
- `customer_id` (string)
- `customer_name` (string)
- `receipt_date` (string · date · required)
- `deposit_to_ledger_id` (string · required)
- `deposit_to_ledger_name` (string)
- `income_ledger_id` (string)
- `income_ledger_name` (string)
- `line_items` (array · object)
- `subtotal` (integer · required)
- `tax_total` (integer · required)
- `total` (integer · required)
- `memo` (string)
- `currency` (string · required)
- `journal_entry_id` (string)
- `void_journal_entry_id` (string)
- `created_at` (string · date-time · required)
- `updated_at` (string · date-time · required)

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/sales-receipts/{receipt_id}' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/sales-receipts/{receipt_id}', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/sales-receipts/{receipt_id}", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/sales-receipts/get-sales-receipt
- OpenAPI slice: https://www.ondayzero.com/docs/reference/sales-receipts/get-sales-receipt/openapi.json
- Other endpoints in **sales-receipts**: https://www.ondayzero.com/docs/reference/sales-receipts
